<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="qlir-2023-12-31.xsd#qlir_NettoresultatAvFinansiellaTransaktioner" xlink:label="qlir_NettoresultatAvFinansiellaTransaktioner" />
    <loc xlink:type="locator" xlink:href="qlir-2023-12-31.xsd#qlir_SummaKostnaderFoereKreditfoerluster" xlink:label="qlir_SummaKostnaderFoereKreditfoerluster" />
    <loc xlink:type="locator" xlink:href="qlir-2023-12-31.xsd#qlir_ResultatFoereKreditfoerluster" xlink:label="qlir_ResultatFoereKreditfoerluster" />
    <loc xlink:type="locator" xlink:href="qlir-2023-12-31.xsd#qlir_ResultatPerAktieFoereOchEfterUtspaedningSEK" xlink:label="qlir_ResultatPerAktieFoereOchEfterUtspaedningSEK" />
    <loc xlink:type="locator" xlink:href="qlir-2023-12-31.xsd#qlir_TeckningsoptionerAterkoepta" xlink:label="qlir_TeckningsoptionerAterkoepta" />
    <loc xlink:type="locator" xlink:href="qlir-2023-12-31.xsd#qlir_Provisionsintaekter" xlink:label="qlir_Provisionsintaekter" />
    <loc xlink:type="locator" xlink:href="qlir-2023-12-31.xsd#qlir_ErhallenProvision" xlink:label="qlir_ErhallenProvision" />
    <loc xlink:type="locator" xlink:href="qlir-2023-12-31.xsd#qlir_OEkningMinskningAvVaerdepapper" xlink:label="qlir_OEkningMinskningAvVaerdepapper" />
    <loc xlink:type="locator" xlink:href="qlir-2023-12-31.xsd#qlir_Teckningsemission" xlink:label="qlir_Teckningsemission" />
    <labelArc xlink:type="arc" xlink:from="qlir_NettoresultatAvFinansiellaTransaktioner" xlink:to="label_qlir_qlirNettoresultatAvFinansiellaTransaktioner_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="qlir_SummaKostnaderFoereKreditfoerluster" xlink:to="label_qlir_qlirSummaKostnaderFoereKreditfoerluster_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="qlir_ResultatFoereKreditfoerluster" xlink:to="label_qlir_qlirResultatFoereKreditfoerluster_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="qlir_ResultatPerAktieFoereOchEfterUtspaedningSEK" xlink:to="label_qlir_qlirResultatPerAktieFoereOchEfterUtspaedningSEK_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="qlir_TeckningsoptionerAterkoepta" xlink:to="label_qlir_qlirTeckningsoptionerAterkoepta_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="qlir_Provisionsintaekter" xlink:to="label_qlir_qlirProvisionsintaekter_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="qlir_ErhallenProvision" xlink:to="label_qlir_qlirErhallenProvision_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="qlir_OEkningMinskningAvVaerdepapper" xlink:to="label_qlir_qlirOEkningMinskningAvVaerdepapper_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="qlir_Teckningsemission" xlink:to="label_qlir_qlirTeckningsemission_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_qlir_qlirNettoresultatAvFinansiellaTransaktioner_Standard" id="qlir_qlirNettoresultatAvFinansiellaTransaktioner_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Nettoresultat av finansiella transaktioner</label>
    <label xlink:label="label_qlir_qlirSummaKostnaderFoereKreditfoerluster_Standard" id="qlir_qlirSummaKostnaderFoereKreditfoerluster_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Summa kostnader före kreditförluster</label>
    <label xlink:label="label_qlir_qlirResultatFoereKreditfoerluster_Standard" id="qlir_qlirResultatFoereKreditfoerluster_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Resultat före kreditförluster</label>
    <label xlink:label="label_qlir_qlirResultatPerAktieFoereOchEfterUtspaedningSEK_Standard" id="qlir_qlirResultatPerAktieFoereOchEfterUtspaedningSEK_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Resultat per aktie före och efter utspädning, SEK</label>
    <label xlink:label="label_qlir_qlirTeckningsoptionerAterkoepta_Standard" id="qlir_qlirTeckningsoptionerAterkoepta_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Teckningsoptioner, återköpta</label>
    <label xlink:label="label_qlir_qlirProvisionsintaekter_Standard" id="qlir_qlirProvisionsintaekter_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">– Provisionsintäkter</label>
    <label xlink:label="label_qlir_qlirErhallenProvision_Standard" id="qlir_qlirErhallenProvision_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Erhållen provision</label>
    <label xlink:label="label_qlir_qlirOEkningMinskningAvVaerdepapper_Standard" id="qlir_qlirOEkningMinskningAvVaerdepapper_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Ökning/Minskning av värdepapper</label>
    <label xlink:label="label_qlir_qlirTeckningsemission_Standard" id="qlir_qlirTeckningsemission_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Teckningsemission</label>
  </labelLink>
</linkbase>